Loading...
Searching...
No Matches
pqxx::nullness< std::string_view > Struct Reference

There's no real null for `std::string_view`. More...

Inheritance diagram for pqxx::nullness< std::string_view >:
[legend]
Collaboration diagram for pqxx::nullness< std::string_view >:
[legend]

## Additional Inherited Members

Static Public Member Functions inherited from pqxx::no_null< std::string_view >
static constexpr bool | is_null (std::string_view const &) noexcept
| Does a given value correspond to an SQL null value?
Static Public Attributes inherited from pqxx::no_null< std::string_view >
static constexpr bool | has_null
| Does `TYPE` have a "built-in null value"?
static constexpr bool | always_null
| Are all values of this type null?

## Detailed Description

There's no real null for `std::string_view`.

I'm not sure how clear-cut this is: a `string_view` may have a null data pointer, which is analogous to a null `char` pointer.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx